/*
 * Copyright (C) 2024 johan@nosd.in
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the Server Side Public License, version 1,
 * as published by MongoDB, Inc.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * Server Side Public License for more details.
 *
 * You should have received a copy of the Server Side Public License
 * along with this program. If not, see
 * <http://www.mongodb.com/licensing/server-side-public-license>.
 */
// eslint-disable-next-line no-unused-vars
import webpackEntry from 'webpack-entry';

import { PluginManifest, PluginStore } from 'graylog-web-plugin/plugin';
import packageJson from '../../package.json';

//import StoreProvider from 'injection/StoreProvider';

// https://github.com/Graylog2/graylog2-server/blob/master/graylog2-web-interface/src/stores/plugins/PluginsStore.js ?
//const PStore = StoreProvider.getStore('core.Plugins')

debugger;
console.error('Before registering RedisLookup type lookupTableAdapters');

import RedisLookupAdapterDocumentation from './dataadapters/RedisLookupAdapterDocumentation';
import RedisLookupAdapterFieldSet from './dataadapters/RedisLookupAdapterFieldSet';
import RedisLookupAdapterSummary from './dataadapters/RedisLookupAdapterSummary';

const manifest = new PluginManifest(packageJson, {
  lookupTableAdapters: [
    {
      type: 'RedisLookup',
      displayName: 'Redis Lookup',
      formComponent: RedisLookupAdapterFieldSet,
      summaryComponent: RedisLookupAdapterSummary,
      documentationComponent: RedisLookupAdapterDocumentation,
    },
  ],
});

debugger;
console.error('Registering RedisLookup type lookupTableAdapters');

PluginStore.register(manifest);
